aubio: spectral/tss.h File Reference

aubio 0.4.9

Loading...
Searching...
No Matches
Typedefs | Functions
tss.h File Reference

Transient / Steady-state Separation (TSS). More...

Go to the source code of this file.

## Typedefs
typedef struct _aubio_tss_t | aubio_tss_t
| Transient / Steady-state Separation object.

## Functions
aubio_tss_t * | new_aubio_tss (uint_t buf_size, uint_t hop_size)
| create tss object
void | del_aubio_tss (aubio_tss_t *o)
| delete tss object
void | aubio_tss_do (aubio_tss_t *o, const cvec_t *input, cvec_t *trans, cvec_t *stead)
| split input into transient and steady states components
uint_t | aubio_tss_set_threshold (aubio_tss_t *o, smpl_t thrs)
| set transient / steady state separation threshold
uint_t | aubio_tss_set_alpha (aubio_tss_t *o, smpl_t alpha)
| set parameter a, defaults to 3
uint_t | aubio_tss_set_beta (aubio_tss_t *o, smpl_t beta)
| set parameter b, defaults to 3

## Detailed Description

Transient / Steady-state Separation (TSS).

This file implement a Transient / Steady-state Separation (TSS) as described in:

Christopher Duxbury, Mike E. Davies, and Mark B. Sandler. Separation of transient information in musical audio using multiresolution analysis techniques. In Proceedings of the Digital Audio Effects Conference, DAFx-01, pages 1–5, Limerick, Ireland, 2001.

Available at http://www.csis.ul.ie/dafx01/proceedings/papers/duxbury.pdf

Definition in file tss.h.

## Typedef Documentation

## ◆ aubio_tss_t

typedef struct _aubio_tss_t aubio_tss_t

Transient / Steady-state Separation object.

Examples
  spectral/test-tss.c.

Definition at line 47 of file tss.h.

## Function Documentation

## ◆ aubio_tss_do()

void aubio_tss_do | ( | aubio_tss_t * | o,
|  | const cvec_t * | input,
|  | cvec_t * | trans,
|  | cvec_t * | stead )

split input into transient and steady states components

Parameters

  o | tss object as returned by new_aubio_tss()
  input | input spectral frame
  trans | output transient components
  stead | output steady state components

Examples
  spectral/test-tss.c.

## ◆ aubio_tss_set_alpha()

uint_t aubio_tss_set_alpha | ( | aubio_tss_t * | o,
|  | smpl_t | alpha )

set parameter a, defaults to 3

Parameters

  o | tss object as returned by new_aubio_tss()
  alpha | new value for alpha parameter

Examples
  spectral/test-tss.c.

## ◆ aubio_tss_set_beta()

uint_t aubio_tss_set_beta | ( | aubio_tss_t * | o,
|  | smpl_t | beta )

set parameter b, defaults to 3

Parameters

  o | tss object as returned by new_aubio_tss()
  beta | new value for beta parameter

Examples
  spectral/test-tss.c.

## ◆ aubio_tss_set_threshold()

uint_t aubio_tss_set_threshold | ( | aubio_tss_t * | o,
|  | smpl_t | thrs )

set transient / steady state separation threshold

Parameters

  o | tss object as returned by new_aubio_tss()
  thrs | new threshold value

Examples
  spectral/test-tss.c.

## ◆ del_aubio_tss()

void del_aubio_tss | ( | aubio_tss_t * | o | ) |

delete tss object

Parameters

  o | tss object as returned by new_aubio_tss()

Examples
  spectral/test-tss.c.

## ◆ new_aubio_tss()

aubio_tss_t * new_aubio_tss | ( | uint_t | buf_size,
|  | uint_t | hop_size )

create tss object

Parameters

  buf_size | buffer size
  hop_size | step size

Examples
  spectral/test-tss.c.